%define name	findlib
%define version	1.1.1
%define release	%mkrel 4

Summary:	A module packaging tool for OCaml
Name:		findlib
Version:	%{version}
Release:	%{release}
Epoch:		0
Group:		Development/Other
License:	MIT-style
Url:		http://www.ocaml-programming.de/packages/documentation/findlib/
Source0:	http://www.ocaml-programming.de/packages/%{name}-%{version}.tar.bz2
Requires:	ocaml >= 0:3.07
BuildRequires:	camlp4 libncurses-devel ocaml >= 0:3.07 ocamltk
Buildroot:	%{_tmppath}/%{name}-%{version}-root

%package -n ocamlfind-mini
Summary:	Minimal findlib script to be distributed with user libraries
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%release

%description
The findlib library provides a scheme to manage reusable software
components (packages), and includes tools that support this scheme.
Packages are collections of OCaml modules for which metainformation can
be stored. The packages are kept in the filesystem hierarchy, but with
strict directory structure. The library contains functions to look the
directory up that stores a package, to query metainformation about a
package, and to retrieve dependency information about multiple packages.
There is also a tool that allows the user to enter queries on the
command-line. In order to simplify compilation and linkage, there are
new frontends of the various OCaml compilers that can directly deal with
packages.

%description -n ocamlfind-mini
ocamlfind-mini is an OCaml script that implements a subset of the full
functionality of ocamlfind. It consists only of one file, so it is easy
to distribute it with any software.

The subset is normally sufficient to compile a library and to install
the library; but it is insufficient to link the library into an
executable. 

%prep
%setup -q

%build
./configure -mandir %{_mandir} -config %{_libdir}/ocaml/etc/findlib.conf
%__make all opt

%install
%make prefix=$RPM_BUILD_ROOT PREFIX=$RPM_BUILD_ROOT install

install -d -m 755 $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlfind-mini
cp -a mini/* $RPM_BUILD_ROOT%{_libdir}/ocaml/ocamlfind-mini

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL LICENSE doc
%{_bindir}/*
%{_libdir}/ocaml/etc
%{_libdir}/ocaml/site-lib  
%{_libdir}/ocaml/topfind
%{_mandir}/man*/*

%files -n ocamlfind-mini
%defattr(-,root,root)
%{_libdir}/ocaml/ocamlfind-mini/*


%changelog
* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 11:38:45 (53408)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 11:34:03 (53407)
Import findlib

* Tue Apr 25 2006 Pixel <pixel@mandriva.com> 1.1.1-3mdk
- really rebuild with new ocaml

* Mon Apr 24 2006 Pixel <pixel@mandriva.com> 1.1.1-2mdk
- rebuild for new ocaml

* Mon Apr 17 2006 Olivier Thauvin <nanardon@mandriva.org> 1.1.1-1mdk
- 1.1.1

* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:0.9-2mdk
- Fix DIRM (distlint)

* Thu Oct 23 2003 David Walluck <walluck@linux-mandrake-com> 0:0.9-1mdk
- release

